<html>
<link rel='stylesheet' type='text/css' media='screen' href='../static/covid.css'>  
    <h1>Covid vaccinated population percentage by country</h1>

<form method='POST'>
<label for="country">Country:</label>
<p><input type = "text" id = "country" name = "country" /></p>
<p><input type = "submit" value = "CHECK" /></p>
</form>

<form method="GET">
<label for="results">Results:</label>

    {% for datas in data %}
    {% if datas == country %}
        <p>{{ data[country]['All']['people_vaccinated']/data[country]['All']['population']*100}}%</p>
    {% endif %}
    {% endfor %}
</form>
</html>